Bug 41118 - ucs-school-lib should add user role specific object classes / attributes
ucs-school-lib should add user role specific object classes / attributes
Status: CLOSED FIXED
Product: UCS@school
Classification: Unclassified
Component: Ucsschool-lib
UCS@school 4.1
Other Linux
: P5 normal (vote)
: UCS@school 4.1 R2
Assigned To: Florian Best
Daniel Tröder
:
Depends on: 25240
Blocks:
  Show dependency treegraph
 
Reported: 2016-04-25 17:17 CEST by Florian Best
Modified: 2016-06-28 18:24 CEST (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2016-04-25 17:17:48 CEST
The ucsschool-lib must automatically add or adjust the new object classes (ucsschoolTeacher, ucsschoolStaff, ucsschoolStudent, ucsschoolAdministrator) and the new attribute (ucsschoolSchool) when creating or modifying users.
Comment 1 Florian Best univentionstaff 2016-05-25 16:35:21 CEST
As Bug #25240 (And Bug #41017) is fixed now the object classes are correctly evaluated and the schools are added as attribute.

ucs-school-lib (9.0.0-4):
r69403 | Bug #41118: add schools attribute. add options when adding/modifying objects
Comment 2 Daniel Tröder univentionstaff 2016-06-15 10:26:05 CEST
OK: Code
OK: Test: added a test in r70194.
Comment 3 Florian Best univentionstaff 2016-06-28 18:24:57 CEST
UCS@school 4.1 R2 has been released:
http://docs.software-univention.de/release-notes-ucsschool-4.1R2v1-de.pdf

If this error occurs again, please use "Clone This Bug".